class GeneralResponseModel {
  dynamic data;
  String? message;
  String ?title;
  String ?innerMessage;
  int ?responseCode;
  bool ?isSuccess;

  GeneralResponseModel({this.data, this.message, this.title, this.innerMessage, this.responseCode, this.isSuccess});

  factory GeneralResponseModel.fromJson(Map<String, dynamic> json) {
    return GeneralResponseModel(
      data: json['data'],
      message: json['message'] ?? '',
      title: json['title'],
      innerMessage: json['innerMessage'],
      responseCode: json['responseCode'],
      isSuccess: json['isSuccess'],
    );
  }

  Map<String, dynamic> toJson() {
    return {
      'data': data,
      'message': message,
      'title': title,
      'innerMessage': innerMessage,
      'responseCode': responseCode,
      'isSuccess': isSuccess,
    };
  }
}